---
title: font-size
slug: Web/SVG/Attribute/font-size
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-size</code></strong> attribute refers to the size of the font from {{Glossary("baseline")}} to baseline when multiple lines of text are set solid in a multiline layout environment.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-size</code> can be used as a CSS property. See the {{cssxref("font-size", "CSS font-size")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 200 30" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-size="smaller"&gt;smaller&lt;/text&gt;
  &lt;text x="100" y="20" font-size="2em"&gt;2em&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "30")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;absolute-size&gt;</code> | <code>&lt;relative-size&gt;</code> | <code>&lt;length-percentage&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>medium</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/font-size#Values">CSS <code>font-size</code></a> property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-size-prop", "font-size")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontSizeProperty", "font-size")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-size", "CSS font-size")}}</li>
</ul>
